class VgkCardHorizontalModel {
  String key;

  List<VgkCardHorizontalDetailModel> data;

  VgkCardHorizontalModel({
    required this.key,
    required this.data,
  });

  VgkCardHorizontalModel copyWith({
    String? key,
    List<VgkCardHorizontalDetailModel>? data,
  }) =>
      VgkCardHorizontalModel(
        key: key ?? this.key,
        data: data ?? this.data,
      );

  factory VgkCardHorizontalModel.fromMap(Map<String, dynamic> json) =>
      VgkCardHorizontalModel(
        key: json["key"] ?? "",
        data: json["data"] == null
            ? []
            : List<VgkCardHorizontalDetailModel>.from(json["data"]
                .map((x) => VgkCardHorizontalDetailModel.fromMap(x))),
      );
}

class VgkCardHorizontalDetailModel {
  String key;
  String value;
  String src;
  List<VgkCardHorizontalSubDetailModel> data;

  VgkCardHorizontalDetailModel({
    required this.key,
    required this.value,
    required this.src,
    required this.data,
  });

  VgkCardHorizontalDetailModel copyWith({
    required String key,
    required String src,
    required String value,
    required List<VgkCardHorizontalSubDetailModel> data,
  }) =>
      VgkCardHorizontalDetailModel(
        key: key,
        src: src,
        value: value,
        data: data,
      );

  factory VgkCardHorizontalDetailModel.fromMap(Map<String, dynamic> json) =>
      VgkCardHorizontalDetailModel(
        key: json["key"] ?? "",
        src: json["src"] ?? "",
        value: json["value"] ?? "",
        data: List<VgkCardHorizontalSubDetailModel>.from((json["data"] ?? [])
            .map((x) => VgkCardHorizontalSubDetailModel.fromMap(x))),
      );
}

class VgkCardHorizontalSubDetailModel {
  String key;
  String value;
  String src;

  VgkCardHorizontalSubDetailModel({
    required this.key,
    required this.value,
    required this.src,
  });

  VgkCardHorizontalSubDetailModel copyWith({
    required String key,
    required String src,
    required String value,
  }) =>
      VgkCardHorizontalSubDetailModel(
        key: key,
        src: src,
        value: value,
      );

  factory VgkCardHorizontalSubDetailModel.fromMap(Map<String, dynamic> json) =>
      VgkCardHorizontalSubDetailModel(
        key: json["key"] ?? "",
        src: json["src"] ?? "",
        value: json["value"] ?? "",
      );
}
