class VgkCardHorizontaWithSubModel {
  VgkCardHorizontaWithSubModel({
    required this.title,
    required this.details,
  });

  String title;
  List<VgkCardHorizontaWithSubDetailModel> details;

  VgkCardHorizontaWithSubModel copyWith({
    required String title,
    required List<VgkCardHorizontaWithSubDetailModel> details,
  }) =>
      VgkCardHorizontaWithSubModel(
        title: title,
        details: details,
      );

  factory VgkCardHorizontaWithSubModel.fromMap(Map<String, dynamic> json) =>
      VgkCardHorizontaWithSubModel(
        title: json["title"] ?? "",
        details: List<VgkCardHorizontaWithSubDetailModel>.from(json["details"]
            .map((x) => VgkCardHorizontaWithSubDetailModel.fromMap(x))),
      );
}

class VgkCardHorizontaWithSubDetailModel {
  VgkCardHorizontaWithSubDetailModel({
    required this.range,
    required this.info,
    required this.head,
    required this.vest,
    required this.key,
    required this.src,
    required this.value,
    required this.attachements,
  });

  List<VgkHeadModel> range;
  List<VgkHeadModel> info;
  List<VgkHeadModel> head;
  List<VgkHeadModel> vest;
  String key;
  String src;
  String value;
  List<VgkAttachementModel> attachements;

  VgkCardHorizontaWithSubDetailModel copyWith({
    required List<VgkHeadModel> range,
    required List<VgkHeadModel> info,
    required List<VgkHeadModel> head,
    required List<VgkHeadModel> vest,
    required String key,
    required String src,
    required List<VgkAttachementModel> attachements,
  }) =>
      VgkCardHorizontaWithSubDetailModel(
        range: range,
        info: info,
        head: head,
        vest: vest,
        key: key,
        src: src,
        value: value,
        attachements: attachements,
      );

  factory VgkCardHorizontaWithSubDetailModel.fromMap(
          Map<String, dynamic> json) =>
      VgkCardHorizontaWithSubDetailModel(
        range: json["range"] == null
            ? []
            : List<VgkHeadModel>.from(
                json["range"].map((x) => VgkHeadModel.fromMap(x))),
        info: json["info"] == null
            ? []
            : List<VgkHeadModel>.from(
                json["info"].map((x) => VgkHeadModel.fromMap(x))),
        head: json["head"] == null
            ? []
            : List<VgkHeadModel>.from(
                json["head"].map((x) => VgkHeadModel.fromMap(x))),
        vest: json["vest"] == null
            ? []
            : List<VgkHeadModel>.from(
                json["vest"].map((x) => VgkHeadModel.fromMap(x))),
        key: json["key"] ?? "",
        src: json["src"] ?? "",
        value: json["value"] ?? "",
        attachements: json["attachements"] == null
            ? []
            : List<VgkAttachementModel>.from(json["attachements"]
                .map((x) => VgkAttachementModel.fromMap(x))),
      );
}

class VgkAttachementModel {
  VgkAttachementModel({
    required this.key,
    required this.value,
    required this.src,
  });

  String key;
  String value;
  String src;

  VgkAttachementModel copyWith({
    required String key,
    required String value,
    required String src,
  }) =>
      VgkAttachementModel(
        key: key,
        value: value,
        src: src,
      );

  factory VgkAttachementModel.fromMap(Map<String, dynamic> json) =>
      VgkAttachementModel(
        key: json["key"] ?? "",
        value: json["value"] ?? "",
        src: json["src"] ?? "",
      );
}

class VgkHeadModel {
  VgkHeadModel({
    required this.key,
    required this.value,
  });

  String key;
  String value;

  VgkHeadModel copyWith({
    required String key,
    required String value,
  }) =>
      VgkHeadModel(
        key: key,
        value: value,
      );

  factory VgkHeadModel.fromMap(Map<String, dynamic> json) => VgkHeadModel(
        key: json["key"] ?? "",
        value: json["value"] ?? "",
      );
}
