import 'package:vgkprogaming/model/vgk_map_detail.dart';
import 'package:vgkprogaming/model/vgk_map_element.dart';

class VgkMapDetailsModel {
  VgkMapDetailsModel({
    required this.name,
    required this.maps,
    required this.data,
  });

  String name;
  List<VgkMapElement> maps;
  List<VgkMapDetail> data;

  VgkMapDetailsModel copyWith({
    required String name,
    required List<VgkMapElement> maps,
    required List<VgkMapDetail> data,
  }) =>
      VgkMapDetailsModel(
        name: name,
        maps: maps,
        data: data,
      );

  factory VgkMapDetailsModel.fromMap(Map<String, dynamic> json) =>
      VgkMapDetailsModel(
        name: json["name"] ?? "",
        maps: json["maps"] == null
            ? []
            : List<VgkMapElement>.from(
                json["maps"].map((x) => VgkMapElement.fromMap(x))),
        data: json["data"] == null
            ? []
            : List<VgkMapDetail>.from(
                json["data"].map((x) => VgkMapDetail.fromMap(x))),
      );
}
