import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

class VgkProGamingTheme {
  VgkProGamingTheme._();
  static int milliseconds = 700;

  // static Color primaryColor = HexColor('#00b4ab');
  // static Color secondayColor = HexColor('#61ede7');

  // static Color primaryColorDark = HexColor('#00b4ab');
  // static Color secondayColorDark = HexColor('#61ede7');

  // static Color primaryColorFont = HexColor('#00b4ab');
  // static Color secondaryColorFont = Colors.white;

  static Color boxBackground = HexColor('#e1e4e6');
  static Color boxBackgroundWithOpacity =
      VgkProGamingTheme.boxBackground.withOpacity(0.6);
  static Color background = const Color(0xFFF2F3F8);

  static Color grey = const Color(0xFF3A5160);
  static Color greyWithOpacityLow = VgkProGamingTheme.grey.withOpacity(0.2);
  static Color greyWithOpacityMedium = VgkProGamingTheme.grey.withOpacity(0.5);
  static Color greyWithOpacityHigh = VgkProGamingTheme.grey.withOpacity(0.4);

  static Color lightGrey = HexColor('#e1e4e6');
  static Color lightGreyWithOpacityLow = HexColor('#e1e4e6').withOpacity(0.3);
  static Color lightGreyWithOpacityMedium =
      HexColor('#e1e4e6').withOpacity(0.6);
  static Color lightGreyWithOpacityHigh = HexColor('#e1e4e6').withOpacity(0.9);

  static Color notWhite = const Color(0xFFEDF0F2);
  static Color white = const Color(0xFFFFFFFF);
  static Color darkGrey = const Color(0xFF313A44);

  static Color nearlyBlue = const Color(0xFF00B6F0);
  static Color nearlyDarkBlue = const Color(0xFF2633C5);
  static Color nearlyBlack = const Color(0xFF213333);
  static Color nearlyWhite = const Color(0xFFFEFEFE);

  static Color darkText = const Color(0xFF253840);
  static Color lightText = const Color(0xFF4A6572);
  static Color deactivatedText = const Color(0xFF767676);
  static Color dismissibleBackground = const Color(0xFF364A54);
  static Color spacer = const Color(0xFFF2F2F2);

  static const double letterSpacing = 0.27;
  static const double heightSpace = 4;

  static const double fontSizeTripleExtraSmall = 6;
  static const double fontSizeDoubleExtraSmall = 8;
  static const double fontSizeExtraSmall = 10;
  static const double fontSizeSmall = 12;
  static const double fontSizeMedium = 14;
  static const double fontSizeLarge = 16;
  static const double fontSizeExtraLarge = 18;
  static const double fontSizeDoubleExtraLarge = 20;
  static const double fontSizeTripleExtraLarge = 22;

  static FontWeight fontWeightDoubleExtraSmall = FontWeight.w100;
  static FontWeight fontWeightExtraSmall = FontWeight.w200;
  static FontWeight fontWeightSmall = FontWeight.w300;
  static FontWeight fontWeightMedium = FontWeight.w400;
  static FontWeight fontWeightLarge = FontWeight.w500;
  static FontWeight fontWeightExtraLarge = FontWeight.w600;
  static FontWeight fontWeightDoubleExtraLarge = FontWeight.w700;
  static FontWeight fontWeightTripleExtraLarge = FontWeight.w700;

  static const double paddingTripleExtraSmall = 2;
  static const double paddingDoubleExtraSmall = 4;
  static const double paddingExtraSmall = 6;
  static const double paddingSmall = 8;
  static const double paddingMedium = 10;
  static const double paddingLarge = 12;
  static const double paddingExtraLarge = 14;
  static const double paddingDoubleExtraLarge = 16;
  static const double paddingTripleExtraLarge = 24;

  static TextStyle h1(String primaryColor) {
    return GoogleFonts.lato(
      fontWeight: VgkProGamingTheme.fontWeightExtraLarge,
      fontSize: VgkProGamingTheme.fontSizeExtraLarge,
      letterSpacing: VgkProGamingTheme.letterSpacing,
      color: HexColor(primaryColor),
    );
  }

  static TextStyle h2(String primaryColor) {
    return GoogleFonts.lato(
      fontWeight: VgkProGamingTheme.fontWeightLarge,
      fontSize: VgkProGamingTheme.fontSizeLarge,
      letterSpacing: VgkProGamingTheme.letterSpacing,
      color: HexColor(primaryColor),
    );
  }

  static TextStyle h3(String primaryColor) {
    return GoogleFonts.lato(
      fontWeight: VgkProGamingTheme.fontWeightMedium,
      fontSize: VgkProGamingTheme.fontSizeMedium,
      letterSpacing: VgkProGamingTheme.letterSpacing,
      color: HexColor(primaryColor),
    );
  }

  static TextStyle h4(String primaryColor) {
    return GoogleFonts.lato(
      fontWeight: VgkProGamingTheme.fontWeightSmall,
      fontSize: VgkProGamingTheme.fontSizeSmall,
      letterSpacing: VgkProGamingTheme.letterSpacing,
      color: HexColor(primaryColor),
    );
  }

  static TextStyle h5(String primaryColor) {
    return GoogleFonts.lato(
      fontWeight: VgkProGamingTheme.fontWeightExtraSmall,
      fontSize: VgkProGamingTheme.fontSizeExtraSmall,
      letterSpacing: VgkProGamingTheme.letterSpacing,
      color: HexColor(primaryColor),
    );
  }

  static TextStyle h6(String primaryColor) {
    return GoogleFonts.lato(
      fontWeight: VgkProGamingTheme.fontWeightDoubleExtraSmall,
      fontSize: VgkProGamingTheme.fontSizeDoubleExtraSmall,
      letterSpacing: VgkProGamingTheme.letterSpacing,
      color: HexColor(primaryColor),
    );
  }

  static TextStyle h1White = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightExtraLarge,
    fontSize: VgkProGamingTheme.fontSizeExtraLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.white,
  );

  static TextStyle h2White = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightLarge,
    fontSize: VgkProGamingTheme.fontSizeLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.white,
  );

  static TextStyle h3White = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightMedium,
    fontSize: VgkProGamingTheme.fontSizeMedium,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.white,
  );

  static TextStyle h4White = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightSmall,
    fontSize: VgkProGamingTheme.fontSizeSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.white,
  );

  static TextStyle h5White = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightExtraSmall,
    fontSize: VgkProGamingTheme.fontSizeExtraSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.white,
  );

  static TextStyle h6White = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightDoubleExtraSmall,
    fontSize: VgkProGamingTheme.fontSizeDoubleExtraSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.white,
  );

  static TextStyle h1WhiteWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightExtraLarge,
    fontSize: VgkProGamingTheme.fontSizeExtraLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.white.withOpacity(0.5),
  );

  static TextStyle h2WhiteWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightLarge,
    fontSize: VgkProGamingTheme.fontSizeLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.white.withOpacity(0.5),
  );

  static TextStyle h3WhiteWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightMedium,
    fontSize: VgkProGamingTheme.fontSizeMedium,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.white.withOpacity(0.5),
  );

  static TextStyle h4WhiteWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightSmall,
    fontSize: VgkProGamingTheme.fontSizeSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.white.withOpacity(0.5),
  );

  static TextStyle h5WhiteWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightExtraSmall,
    fontSize: VgkProGamingTheme.fontSizeExtraSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.white.withOpacity(0.5),
  );

  static TextStyle h6WhiteWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightDoubleExtraSmall,
    fontSize: VgkProGamingTheme.fontSizeDoubleExtraSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.white.withOpacity(0.5),
  );

  static TextStyle h1Black = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightExtraLarge,
    fontSize: VgkProGamingTheme.fontSizeExtraLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.black,
  );

  static TextStyle h2Black = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightLarge,
    fontSize: VgkProGamingTheme.fontSizeLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.black,
  );

  static TextStyle h3Black = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightMedium,
    fontSize: VgkProGamingTheme.fontSizeMedium,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.black,
  );

  static TextStyle h4Black = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightSmall,
    fontSize: VgkProGamingTheme.fontSizeSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.black,
  );

  static TextStyle h5Black = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightExtraSmall,
    fontSize: VgkProGamingTheme.fontSizeExtraSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.black,
  );

  static TextStyle h6Black = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightDoubleExtraSmall,
    fontSize: VgkProGamingTheme.fontSizeDoubleExtraSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.black,
  );

  static TextStyle h1BlackWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightExtraLarge,
    fontSize: VgkProGamingTheme.fontSizeExtraLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.black.withOpacity(0.5),
  );

  static TextStyle h2BlackWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightLarge,
    fontSize: VgkProGamingTheme.fontSizeLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.black.withOpacity(0.5),
  );

  static TextStyle h3BlackWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightMedium,
    fontSize: VgkProGamingTheme.fontSizeMedium,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.black.withOpacity(0.5),
  );

  static TextStyle h4BlackWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightSmall,
    fontSize: VgkProGamingTheme.fontSizeSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.black.withOpacity(0.5),
  );

  static TextStyle h5BlackWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightExtraSmall,
    fontSize: VgkProGamingTheme.fontSizeExtraSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.black.withOpacity(0.5),
  );

  static TextStyle h6BlackWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightDoubleExtraSmall,
    fontSize: VgkProGamingTheme.fontSizeDoubleExtraSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.black.withOpacity(0.5),
  );

  static TextStyle h1Gray = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightExtraLarge,
    fontSize: VgkProGamingTheme.fontSizeExtraLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.grey,
  );

  static TextStyle h2Gray = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightLarge,
    fontSize: VgkProGamingTheme.fontSizeLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.grey,
  );

  static TextStyle h3Gray = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightMedium,
    fontSize: VgkProGamingTheme.fontSizeMedium,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.grey,
  );

  static TextStyle h4Gray = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightSmall,
    fontSize: VgkProGamingTheme.fontSizeSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.grey,
  );

  static TextStyle h5Gray = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightExtraSmall,
    fontSize: VgkProGamingTheme.fontSizeExtraSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.grey,
  );

  static TextStyle h6Gray = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightDoubleExtraSmall,
    fontSize: VgkProGamingTheme.fontSizeDoubleExtraSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.grey,
  );

  static TextStyle h1GrayWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightExtraLarge,
    fontSize: VgkProGamingTheme.fontSizeExtraLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.grey.withOpacity(0.5),
  );

  static TextStyle h2GrayWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightLarge,
    fontSize: VgkProGamingTheme.fontSizeLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.grey.withOpacity(0.5),
  );

  static TextStyle h3GrayWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightMedium,
    fontSize: VgkProGamingTheme.fontSizeMedium,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.grey.withOpacity(0.5),
  );

  static TextStyle h4GrayWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightSmall,
    fontSize: VgkProGamingTheme.fontSizeSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.grey.withOpacity(0.5),
  );

  static TextStyle h5GrayWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightExtraSmall,
    fontSize: VgkProGamingTheme.fontSizeExtraSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.grey.withOpacity(0.5),
  );

  static TextStyle h6GrayWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightDoubleExtraSmall,
    fontSize: VgkProGamingTheme.fontSizeDoubleExtraSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.grey.withOpacity(0.5),
  );

  static TextStyle h1WithOpacity(String primaryColor) {
    return GoogleFonts.lato(
      fontWeight: VgkProGamingTheme.fontWeightExtraLarge,
      fontSize: VgkProGamingTheme.fontSizeExtraLarge,
      letterSpacing: VgkProGamingTheme.letterSpacing,
      color: HexColor(primaryColor).withOpacity(0.5),
    );
  }

  static TextStyle h2WithOpacity(String primaryColor) {
    return GoogleFonts.lato(
      fontWeight: VgkProGamingTheme.fontWeightLarge,
      fontSize: VgkProGamingTheme.fontSizeLarge,
      letterSpacing: VgkProGamingTheme.letterSpacing,
      color: HexColor(primaryColor).withOpacity(0.5),
    );
  }

  static TextStyle h3WithOpacity(String primaryColor) {
    return GoogleFonts.lato(
      fontWeight: VgkProGamingTheme.fontWeightMedium,
      fontSize: VgkProGamingTheme.fontSizeMedium,
      letterSpacing: VgkProGamingTheme.letterSpacing,
      color: HexColor(primaryColor).withOpacity(0.5),
    );
  }

  static TextStyle h4WithOpacity(String primaryColor) {
    return GoogleFonts.lato(
      fontWeight: VgkProGamingTheme.fontWeightSmall,
      fontSize: VgkProGamingTheme.fontSizeMedium,
      letterSpacing: VgkProGamingTheme.letterSpacing,
      color: HexColor(primaryColor).withOpacity(0.5),
    );
  }

  static TextStyle h5WithOpacity(String primaryColor) {
    return GoogleFonts.lato(
      fontWeight: VgkProGamingTheme.fontWeightExtraSmall,
      fontSize: VgkProGamingTheme.fontSizeExtraSmall,
      letterSpacing: VgkProGamingTheme.letterSpacing,
      color: HexColor(primaryColor).withOpacity(0.5),
    );
  }

  static TextStyle h6WithOpacity(String primaryColor) {
    return GoogleFonts.lato(
      fontWeight: VgkProGamingTheme.fontWeightDoubleExtraSmall,
      fontSize: VgkProGamingTheme.fontSizeDoubleExtraSmall,
      letterSpacing: VgkProGamingTheme.letterSpacing,
      color: HexColor(primaryColor).withOpacity(0.5),
    );
  }

  static TextStyle errorText = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightLarge,
    fontSize: VgkProGamingTheme.fontSizeLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.red,
  );

  static EdgeInsets edgeInsetsPaddingTripleExtraSmall = const EdgeInsets.only(
    top: VgkProGamingTheme.paddingTripleExtraSmall,
    bottom: VgkProGamingTheme.paddingTripleExtraSmall,
    right: VgkProGamingTheme.paddingTripleExtraSmall,
    left: VgkProGamingTheme.paddingTripleExtraSmall,
  );

  static EdgeInsets edgeInsetsPaddingDoubleExtraSmall = const EdgeInsets.only(
    top: VgkProGamingTheme.paddingDoubleExtraSmall,
    bottom: VgkProGamingTheme.paddingDoubleExtraSmall,
    right: VgkProGamingTheme.paddingDoubleExtraSmall,
    left: VgkProGamingTheme.paddingDoubleExtraSmall,
  );

  static EdgeInsets edgeInsetsPaddingExtraSmall = const EdgeInsets.only(
    top: VgkProGamingTheme.paddingExtraSmall,
    bottom: VgkProGamingTheme.paddingExtraSmall,
    right: VgkProGamingTheme.paddingExtraSmall,
    left: VgkProGamingTheme.paddingExtraSmall,
  );

  static EdgeInsets edgeInsetsPaddingSmall = const EdgeInsets.only(
    top: VgkProGamingTheme.paddingSmall,
    bottom: VgkProGamingTheme.paddingSmall,
    right: VgkProGamingTheme.paddingSmall,
    left: VgkProGamingTheme.paddingSmall,
  );

  static EdgeInsets edgeInsetsPaddingMedium = const EdgeInsets.only(
    top: VgkProGamingTheme.paddingMedium,
    bottom: VgkProGamingTheme.paddingMedium,
    right: VgkProGamingTheme.paddingMedium,
    left: VgkProGamingTheme.paddingMedium,
  );

  static EdgeInsets edgeInsetsPaddingLarge = const EdgeInsets.only(
    top: VgkProGamingTheme.paddingLarge,
    bottom: VgkProGamingTheme.paddingLarge,
    right: VgkProGamingTheme.paddingLarge,
    left: VgkProGamingTheme.paddingLarge,
  );

  static EdgeInsets edgeInsetsPaddingDoubleExtraLarge = const EdgeInsets.only(
    top: VgkProGamingTheme.paddingDoubleExtraLarge,
    bottom: VgkProGamingTheme.paddingDoubleExtraLarge,
    right: VgkProGamingTheme.paddingDoubleExtraLarge,
    left: VgkProGamingTheme.paddingDoubleExtraLarge,
  );

  static EdgeInsets edgeInsetsPaddingTripleExtraLarge = const EdgeInsets.only(
    top: VgkProGamingTheme.paddingTripleExtraLarge,
    bottom: VgkProGamingTheme.paddingTripleExtraLarge,
    right: VgkProGamingTheme.paddingTripleExtraLarge,
    left: VgkProGamingTheme.paddingTripleExtraLarge,
  );

  static BorderRadius borderRadiusLow = const BorderRadius.all(
    Radius.circular(8.0),
  );

  static BorderRadius borderRadiusMedium = const BorderRadius.all(
    Radius.circular(16.0),
  );

  static BorderRadius borderRadiusHigh = const BorderRadius.all(
    Radius.circular(32.0),
  );

  static Matrix4 transform(Animation<dynamic> mainScreenAnimation) {
    return Matrix4.translationValues(
        0.0, 20 * (1.0 - mainScreenAnimation.value), 0.0);
  }

  static Matrix4 subTransform(Animation<dynamic> mainScreenAnimation) {
    return Matrix4.translationValues(
        60 * (1.0 - mainScreenAnimation.value), 0.0, 0.0);
  }

  static SizedBox sizedBoxEmpty = const SizedBox(
    height: VgkProGamingTheme.heightSpace,
  );

  static Decoration decoration = BoxDecoration(
    color: VgkProGamingTheme.boxBackground.withOpacity(0.6),
    borderRadius: const BorderRadius.all(Radius.circular(16.0)),
  );

  static Animation<double> animationOption(
      AnimationController animationController) {
    return Tween<double>(begin: 0.0, end: 1.0).animate(CurvedAnimation(
        parent: animationController,
        curve: const Interval((1 / 10) * 3, 1.0, curve: Curves.fastOutSlowIn)));
  }

  static Decoration cardDecorationWithPopUp(String primaryColor) {
    return BoxDecoration(
      boxShadow: const <BoxShadow>[
        BoxShadow(
          color: Colors.grey,
          offset: Offset(1.1, 4.0),
          blurRadius: 8.0,
        ),
      ],
      gradient: LinearGradient(
        colors: <HexColor>[
          HexColor(primaryColor),
          HexColor(primaryColor),
        ],
        begin: Alignment.topLeft,
        end: Alignment.bottomRight,
      ),
      borderRadius: const BorderRadius.only(
        bottomRight: Radius.circular(8.0),
        bottomLeft: Radius.circular(8.0),
        topLeft: Radius.circular(8.0),
        topRight: Radius.circular(54.0),
      ),
    );
  }

  static int stringToIntConvertor(input) {
    return input != null ? double.parse(input).toInt() : 0;
  }

  static String intToStringConvertor(input) {
    return (input != null ? input.toString() : 'N/A');
  }

  double intToDoubleConvertor(input) {
    return input != null ? int.parse(input).toDouble() : 0;
  }

  static ButtonStyle flatButtonStyle = ButtonStyle(
    backgroundColor: MaterialStateProperty.all(Colors.lightBlue),
    overlayColor: MaterialStateProperty.all(Colors.red),
    shape: MaterialStateProperty.all<RoundedRectangleBorder>(
      RoundedRectangleBorder(
        borderRadius: BorderRadius.circular(10.0),
      ),
    ),
  );
}

class HexColor extends Color {
  HexColor(final String hexColor) : super(_getColorFromHex(hexColor));

  static int _getColorFromHex(String? hexColor) {
    hexColor ??= '#ff0000';
    hexColor = hexColor.toUpperCase().replaceAll('#', '');
    if (hexColor.length == 6) {
      hexColor = 'FF' + hexColor;
    }
    return int.parse(hexColor, radix: 16);
  }
}
