import 'package:flutter/material.dart';
import 'package:vgkprogaming/theme/vgk_shared_theme.dart';

class VgkAboutUsWidget extends StatelessWidget {
  final AnimationController animationController;
  final Animation<double> animation;
  final String description;
  const VgkAboutUsWidget({
    Key? key,
    required this.animationController,
    required this.animation,
    required this.description,
  }) : super(key: key);
  @override
  Widget build(BuildContext context) {
    return AnimatedBuilder(
      animation: animationController,
      builder: (context, child) {
        return FadeTransition(
          opacity: animation,
          child: Transform(
            transform: VgkProGamingTheme.transform(animation),
            child: Padding(
              padding: const EdgeInsets.only(
                top: 4,
                right: VgkProGamingTheme.paddingDoubleExtraLarge,
                left: VgkProGamingTheme.paddingDoubleExtraLarge,
              ),
              child: Container(
                decoration: VgkProGamingTheme.decoration,
                child: Padding(
                  padding: VgkProGamingTheme.edgeInsetsPaddingDoubleExtraLarge,
                  child: Row(
                    children: <Widget>[
                      Expanded(
                        child: Column(
                          mainAxisAlignment: MainAxisAlignment.start,
                          crossAxisAlignment: CrossAxisAlignment.start,
                          children: <Widget>[
                            Text(
                              description,
                              style: VgkProGamingTheme.h3Black,
                            ),
                          ],
                        ),
                      ),
                    ],
                  ),
                ),
              ),
            ),
          ),
        );
      },
    );
  }
}
