import 'package:flutter/material.dart';
import 'package:vgkprogaming/theme/vgk_shared_theme.dart';

class VgkSubTitleWidget extends StatelessWidget {
  final String titleTxt;
  final AnimationController animationController;
  final Animation animation;
  final MaterialColor? color;
  final TextStyle? titlefontSize;
  const VgkSubTitleWidget({
    Key? key,
    this.titleTxt = "",
    required this.animationController,
    required this.animation,
    this.color,
    this.titlefontSize,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.only(
        left: VgkProGamingTheme.paddingDoubleExtraLarge,
        right: VgkProGamingTheme.paddingDoubleExtraLarge,
      ),
      child: Row(
        children: <Widget>[
          Expanded(
            child: Text(
              titleTxt,
              textAlign: TextAlign.left,
              style: titlefontSize,
            ),
          ),
        ],
      ),
    );
  }
}
