import 'package:flutter/material.dart';
import 'package:vgkprogaming/theme/vgk_shared_theme.dart';

class VgkSubTitleWithAnimationWidget extends StatelessWidget {
  final String titleTxt;
  final AnimationController animationController;
  final Animation<double> animation;
  final MaterialColor? color;
  final TextStyle? titlefontSize;
  final String? primaryColor;
  const VgkSubTitleWithAnimationWidget(
      {Key? key,
      this.titleTxt = "",
      required this.animationController,
      required this.animation,
      this.color,
      this.titlefontSize,
      this.primaryColor})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return AnimatedBuilder(
      animation: animationController,
      builder: (context, child) {
        return FadeTransition(
          opacity: animation,
          child: Transform(
            transform: VgkProGamingTheme.transform(animation),
            child: Padding(
              padding: const EdgeInsets.only(
                left: VgkProGamingTheme.paddingDoubleExtraLarge,
                right: VgkProGamingTheme.paddingDoubleExtraLarge,
              ),
              child: Row(
                children: <Widget>[
                  Expanded(
                    child: Text(
                      titleTxt,
                      textAlign: TextAlign.left,
                      style:
                          titlefontSize ?? VgkProGamingTheme.h2(primaryColor!),
                    ),
                  ),
                ],
              ),
            ),
          ),
        );
      },
    );
  }
}
