// ignore_for_file: file_names

import 'package:flutter/material.dart';
import 'package:vgkprogaming/theme/vgk_shared_theme.dart';

class VgkTitleWithAnimationWidget extends StatelessWidget {
  final String titleTxt;
  final String subTxt;
  final AnimationController animationController;
  final Animation<double> animation;
  final MaterialColor color;
  final TextStyle? titlefontSize;
  final TextStyle subTitlefontSize;
  final String primaryColor;
  const VgkTitleWithAnimationWidget({
    Key? key,
    this.titleTxt = "",
    this.subTxt = "",
    required this.animationController,
    required this.animation,
    required this.color,
    this.titlefontSize,
    required this.subTitlefontSize,
    required this.primaryColor,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return AnimatedBuilder(
      animation: animationController,
      builder: (context, child) {
        return FadeTransition(
          alwaysIncludeSemantics: true,
          opacity: animation,
          child: Transform(
            transform: VgkProGamingTheme.transform(animation),
            child: Padding(
              padding: const EdgeInsets.only(
                left: VgkProGamingTheme.paddingDoubleExtraLarge,
                right: VgkProGamingTheme.paddingDoubleExtraLarge,
              ),
              child: Row(
                children: <Widget>[
                  Expanded(
                    child: Text(
                      titleTxt,
                      textAlign: TextAlign.left,
                      style:
                          titlefontSize ?? VgkProGamingTheme.h1(primaryColor),
                    ),
                  ),
                  titleViewSubConent(subTxt, subTitlefontSize)
                ],
              ),
            ),
          ),
        );
      },
    );
  }

  Widget titleViewSubConent(input, subTitlefontSize) {
    if (input != null && input != '') {
      return InkWell(
        highlightColor: Colors.transparent,
        borderRadius: const BorderRadius.all(Radius.circular(4.0)),
        onTap: () {},
        child: Padding(
          padding: const EdgeInsets.only(left: 8),
          child: Row(
            children: <Widget>[
              Text(
                subTxt,
                textAlign: TextAlign.left,
                style: subTitlefontSize ?? VgkProGamingTheme.h3(primaryColor),
              ),
              SizedBox(
                height: 38,
                width: 26,
                child: Icon(
                  Icons.arrow_forward,
                  color: VgkProGamingTheme.darkText,
                  size: 18,
                ),
              ),
            ],
          ),
        ),
      );
    } else {
      return Container();
    }
  }
}
